Summary: Mozilla Firefox Web browser FastStartup
Name:    firefox-faststartup
Version: 1.0.0
Release: 1%{?dist}.1
License: GPLv2+
Group:   Applications/Internet
URL:     https://www.mozilla.org/projects/firefox/

Source0: FastStartup.js
Source1: FastStartup.manifest
Source2: firefox-faststartup.desktop

Requires: firefox

%description
Mozilla Firefox Web browser fast startup extension.

%prep

%build

%install
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/components/
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/
%{__cp} %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/components/FastStartup.js
%{__cp} %{SOURCE1} $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/components/FastStartup.manifest
%{__cp} %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/firefox-faststartup.desktop

%files
%{_sysconfdir}/xdg/autostart/firefox-faststartup.desktop
%{_libdir}/firefox/browser/components/FastStartup.js
%{_libdir}/firefox/browser/components/FastStartup.manifest

%post
echo -n '' > %{_libdir}/firefox/browser/chrome.manifest
for i in %{_libdir}/firefox/browser/components/*.manifest; do
	name=$(basename $i)
	echo "manifest components/${name}" >> %{_libdir}/firefox/browser/chrome.manifest
done

%postun
echo -n '' > %{_libdir}/firefox/browser/chrome.manifest
for i in %{_libdir}/firefox/browser/components/*.manifest; do
	name=$(basename $i)
	echo "manifest ${name}" >> %{_libdir}/firefox/browser/chrome.manifest
done

%triggerin -- firefox
echo -n '' > %{_libdir}/firefox/browser/chrome.manifest
for i in %{_libdir}/firefox/browser/components/*.manifest; do
	name=$(basename $i)
	echo "manifest components/${name}" >> %{_libdir}/firefox/browser/chrome.manifest
done

%triggerun -- firefox
echo -n '' > %{_libdir}/firefox/browser/chrome.manifest
for i in %{_libdir}/firefox/browser/components/*.manifest; do
	name=$(basename $i)
	echo "manifest components/${name}" >> %{_libdir}/firefox/browser/chrome.manifest
done

%changelog
* Tue May 10 2016 Heiher <r@hev.cc> - 1.0.0-1
- First version.
